## /inc/CalDAVRequest.php

Description

Functions that are needed for all CalDAV Requests

- Ascertaining the paths
- Ascertaining the current user's permission to those paths.
- Utility functions which we can use to decide whether this is a permitted activity for this user.

- author: Andrew McMillan <andrew@mcmillan.net.nz>
- copyright: Catalyst .Net Ltd, Morphoss Ltd
- license: GNU GPL v3 or later

Classes

Class | Description
--- | ---
CalDAVRequest | A class for collecting things to do with this request.

Includes
require_once ("AwlCache.php") (line 17)
require_once ("XMLDocument.php") (line 18)
require_once ("DAVPrincipal.php") (line 19)
require_once ("DAVTicket.php") (line 20)
Constants
DEPTH_INFINITY = 9999 (line 22)

Documentation generated on Sun, 08 Jul 2012 12:53:47 +0000 by phpDocumentor 1.4.3